<template>
  <div class="page">
    <LayoutTable :data="tableData" :config="tableConfig">
    </LayoutTable>


    <dialog-show ref="dialogform" @ok="getData" />
  </div>
</template>

<script>
/** 表单弹出框模式需引入 */
import dialogShow from "./dialogshow";
import table from "@/assets/mixins/table";
export default {
  name: "PersonList",
  components: {
    dialogShow
  },
  mixins: [table],
  created() {
  },
  methods: {
    /** 重写新增方法 */
    toAdd(row) {
      this.$refs.dialogform.add(row);
    },
    /** 重写编辑方法 */
    toEdit(row) {
      this.$refs.dialogform.edit(row);
    },
    /** 重写查看方法 */
    toView(row) {
      this.$refs.dialogform.view(row);
    },

  },
  data() {
    return {
      config: {
        search: [
        ],
        columns: [
          {type: "selection", width: 60},
          {type: "index",label: "序号",width: 50},

          {label: "身份证号码", prop: "idCard"},

          {label: "性别", prop: "gender",formatter: this.formatter},

          {label: "出生日期", prop: "birthday", formatter: this.formatterDate},

          {label: "家庭住址", prop: "address"},

          {label: "照片路径", prop: "photo"},

          {label: "注册人员来源", prop: "source",formatter: this.formatter},

          {label: "是否添加到海康人脸库", prop: "inFaceHk",formatter: this.formatter},

          {label: "创建用户", prop: "createUserId", formatter: this.formatter},
          {
            label: "操作",
            width: 240,
            formatter: row => {
              return (
                  <table-buttons noAdd row={row} onEdit={this.toEdit} onView={this.toView} onDel={this.toDel} />
              );
            }
          }
        ]
      }
    };
  }
};
</script>
